Bug 841062 - [FEAT] syncing xtime via rsync
[FEAT] syncing xtime via rsync
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Csaba Henk
Vijaykumar Koppad
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 22:33 EDT by Csaba Henk
Modified: 2014-08-24 20:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:17:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: RHS-2.0.z
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Csaba Henk 2012-07-17 22:33:23 EDT
Description of problem:

Geo-rep gets a decent speed boost by using rsync to transfer
xtimes from master to slave.

As a new feature, we want to add a sync mode for doing this.

Feasibility:

With proper care, we can do it, but metadata synchronization
will be only best effort.
Comment 1 Vijay Bellur 2012-07-18 07:56:22 EDT
CHANGE: http://review.gluster.com/3682 (geo-rep / gsyncd: rsync option cleanups, fixes) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 2 Vijay Bellur 2012-07-19 05:24:06 EDT
CHANGE: http://review.gluster.com/3687 (FUSE: ignore setxattr for some keys from gsyncd aux mount) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 3 Vijay Bellur 2012-07-19 13:16:06 EDT
CHANGE: http://review.gluster.com/3683 (geo-rep / gsyncd: add support for sending xtimes through rsync) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 4 Vijay Bellur 2012-07-19 13:16:20 EDT
CHANGE: http://review.gluster.com/3684 (geo-rep / gsyncd: convert ignore-deletes to a mixin too) merged in master by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.